
Redmine - Patch #15420

Don't create duplicate wikis in tests

2013-11-20 23:04 - George Gensure

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.5.0   

Description

test/fixtures/wikis.yml includes the unnecessary wiki wikis_002.  test/unit/wiki_test.rb's test_create attempts to create an identical

wiki, likely being the cause of this entry's inclusion.  Its invalidity is that it creates a second wiki entry for project id 2, a violation of the

has_one relationship between them.  This was noticed with the addition of significant UNIQUE indices across a PostgreSQL instance

of redmine and unit tests, where the mentioned test fails with the fixture in place.

Recommended patch is attached.

Associated revisions

Revision 12317 - 2013-11-23 10:13 - Jean-Philippe Lang

Don't create duplicate wikis in test (#15420).

Patch by George Gensure.

History

#1 - 2013-11-21 17:33 - George Gensure

- File wikis.patch added

Looking at this again, it seems that it would be better served to simply change the project in the wiki create test (as well as a user_test.rb test) to use

an unwiki'd project.  Attaching modified patch.

#2 - 2013-11-23 10:14 - Jean-Philippe Lang

- Subject changed from wikis.yml includes extraneous (and incorrect) wiki entry to Don't create duplicate wikis in tests

- Category changed from Wiki to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

Patch committed in r12317, thanks for poiting this out.

Files

wikis.patch 322 Bytes 2013-11-20 George Gensure

wikis.patch 1.07 KB 2013-11-21 George Gensure
